重庆思庄Oracle、Redhat认证学习论坛

 找回密码
 注册

QQ登录

只需一步,快速开始

搜索
查看: 82|回复: 0

[安装] 安装GI时执行脚本报错:CRS-2101

[复制链接]
发表于 2021-9-6 17:10:09 | 显示全部楼层 |阅读模式
本帖最后由 刘泽宇 于 2021-9-10 14:38 编辑

在部署 Oracle11g RAC安装GI执行 root.sh 脚本时,遇上bug导致 [client(16400)]CRS-2101:The OLR was formatted using version 3 问题,然后就卡着不动,过程如下:
432016135da1817a7a.png
原因
通过MOS查询,该问题是ORACLE的一个BUG,已经在11.2.0.3中修复,该问题是由于在执行root.sh时候 会在/tmp/.oracle下产生一个文件npohasd文件,此文件的只有root用户有权限,因此,出现不能启动ohasd进程
方法:
[root@rac2 install]# cd /var/tmp/.oracle/
[root@rac2 .oracle]# ls
npohasd
[root@rac2 .oracle]# rm npohasd
rm: remove fifo 'npohasd'? y
[root@rac2 .oracle]# ls

[root@rac2 .oracle]# touch npohasd

[root@rac2 .oracle]# chmod 755 npohasd

继续监控 root.sh 执行输出日志,如下所示,顺利完成。

898956135da75889f1.png


回复

使用道具 举报

您需要登录后才可以回帖 登录 | 注册

本版积分规则

QQ|手机版|小黑屋|重庆思庄Oracle、Redhat认证学习论坛 ( 渝ICP备12004239号-4 )

GMT+8, 2021-9-22 12:37 , Processed in 0.090278 second(s), 24 queries .

重庆思庄学习中心论坛-重庆思庄科技有限公司论坛

© 2001-2020

快速回复 返回顶部 返回列表